Status: Resolved Priority: Should have
Author: Christian Müller Category:
Updated: 2013-05-07 Due date:
Subject: Fix handling of request package inside TemplateImplementation
Description

Associated revisions
Revision 1b095ce5 - 2013-05-07 11:56 - Christian Müller

[!!!][TASK] TemplateImplementation shouldn't modify the request

TemplateImplementation now uses an extended template view that
allows overriding the package for the resource interceptor.

This change should have no impact on rendering but the request
package inside the template is no longer different than in the
original action request.

The change is breaking if you rely on using viewhelpers like
uri.resource without giving a package key, as the request
package now will be TYPO3.Neos instead of your site package.
Relative resource paths will still be rewritten to your site
package.

Resolves: #47970
Change-Id: Ie749ae1696d3ae9e2daf3bb98c4bf59c87e6c869

History
#1 - 2013-05-06 09:31 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20545

#2 - 2013-05-06 11:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20545

#3 - 2013-05-06 11:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20545

#4 - 2013-05-07 11:54 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20545

#5 - 2013-05-07 11:57 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20545

#6 - 2013-05-07 12:39 - Christian Müller
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1b095ce50c091d8a5c531aa063b50836461bfd5a.
